Bug 162678 - emulators/wine-gecko: update to last version (1.4)
Summary: emulators/wine-gecko: update to last version (1.4)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rene Ladan
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-19 15:40 UTC by Barbara
Modified: 2011-11-20 17:20 UTC (History)
0 users

See Also:


Attachments
file.diff (699 bytes, patch)
2011-11-19 15:40 UTC, Barbara
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Barbara 2011-11-19 15:40:08 UTC
A new version has been released

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-11-19 15:40:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rene

rene@ wants his PRs (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-11-19 15:40:21 UTC
Maintainer of emulators/wine-gecko,

Please note that PR ports/162678 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/162678

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-11-19 15:40:23 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 David Naylor 2011-11-19 15:52:02 UTC
I approve this change
Comment 5 Rene Ladan freebsd_committer 2011-11-20 15:36:10 UTC
The update itself looks OK, but ports-mgmt/portlint complains that the
LICENSE section has to be moved up (between the COMMENT and NO_BUILD lines):

% pwd
/usr/home/rene/freebsd/ports/emulators/wine-gecko
% portlint -C
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX
and/or PKGNAMESUFFIX.
FATAL: Makefile: extra item "NO_BUILD" placed in the LICENSE section.
FATAL: Makefile: extra item "PLIST_SUB" placed in the LICENSE section.
FATAL: Makefile: extra item "DATADIR" placed in the LICENSE section.
FATAL: Makefile: extra item "PLIST_FILES" placed in the LICENSE section.
FATAL: Makefile: extra item "PLIST_DIRSTRY" placed in the LICENSE section.
WARN: Makefile: "LICENSE_COMB" has to appear earlier.
WARN: Makefile: "LICENSE" has to appear earlier.
WARN: Makefile: "LICENSE_COMB" has to appear earlier.
5 fatal errors and 4 warnings found.

Is it OK to do this? That would result in only the (superfluous) first
warning appearing.
Comment 6 David Naylor 2011-11-20 17:09:48 UTC
On Sunday, 20 November 2011 17:36:10 Rene Ladan wrote:
> The update itself looks OK, but ports-mgmt/portlint complains that the
> LICENSE section has to be moved up (between the COMMENT and NO_BUILD
> lines):
> 
> % pwd
> /usr/home/rene/freebsd/ports/emulators/wine-gecko
> % portlint -C
> WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX
> and/or PKGNAMESUFFIX.
> FATAL: Makefile: extra item "NO_BUILD" placed in the LICENSE section.
> FATAL: Makefile: extra item "PLIST_SUB" placed in the LICENSE section.
> FATAL: Makefile: extra item "DATADIR" placed in the LICENSE section.
> FATAL: Makefile: extra item "PLIST_FILES" placed in the LICENSE section.
> FATAL: Makefile: extra item "PLIST_DIRSTRY" placed in the LICENSE section.
> WARN: Makefile: "LICENSE_COMB" has to appear earlier.
> WARN: Makefile: "LICENSE" has to appear earlier.
> WARN: Makefile: "LICENSE_COMB" has to appear earlier.
> 5 fatal errors and 4 warnings found.
> 
> Is it OK to do this? That would result in only the (superfluous) first
> warning appearing.

 Yes, I am fine with that
Comment 7 dfilter service freebsd_committer 2011-11-20 17:14:48 UTC
rene        2011-11-20 17:14:34 UTC

  FreeBSD ports repository

  Modified files:
    emulators/wine-gecko Makefile distinfo 
  Log:
  - Update to 1.4 [1]
  - Pet portlint by moving LICENSE section [2]
  
  PR:             ports/162678 [1]
  Submitted by:   Barbara [barbara.xxx1975 libero/it] [2]
  Submitted by:   myself [2]
  Approved by:    maintainer [1] [2]
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +4 -4      ports/emulators/wine-gecko/Makefile
  1.3       +2 -2      ports/emulators/wine-gecko/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Rene Ladan freebsd_committer 2011-11-20 17:14:51 UTC
State Changed
From-To: feedback->closed

Committed, thanks